#ifndef __MODBUS_H__
#define __MODBUS_H__

#include <stm32f10x.h>
#include "global.h"

u16   CRC16(u8 *puchMsgg,u8 usDataLen);
void  ModInit(u8 Id);//蚚衾Modbus場宎趙炒統杅Id峈桴瘍炕1-255炎 
void  ModRcv(u8 Rcv_Data);	//蚚衾modbus陓洘諉彶 
void  ModSend(USART_TypeDef* USARTx);	//蚚衾modbus陓洘諉彶 
void  MessageHandle(u8 *pointer_in,u8 *pointer_out);//揭燴彶善腔陓洘痋 
void  ReadHoldingReg(u8 *pointer_1,u8 *pointer_2); //黍悵厥敵湔ん 
void  ErrorHandle(u8 Mode,u8 *Pointer);//渣昫陓洘痋揭燴 
void  TIMER2_Init(void);

#endif
